<?php
/**
 * Createing a bog pannel for customizer
 *
 *
 */

$ac_repair_categories = get_categories(array('hide_empty' => 0));
foreach ($ac_repair_categories as $ac_repair_category) {
	$ac_repair_cat[$ac_repair_category->term_id] = $ac_repair_category->cat_name;
}

// CREATING A SECTION IN CUSTOMIZER
$wp_customize->add_section(
	'ac_repair_premium_blog_section',
	array(
		'title' => __( 'Blog Section', 'ac_repair Premium' ),
        // 'panel' => 'ac_repair_premium_home_panel'
		'priority' =>19
	)
);

$wp_customize->add_setting(
	'ac_repair_premium_blog_section_disable',
	array(
		'sanitize_callback' => 'ac_repair_sanitize_text',
	)
);
$wp_customize->add_control(
	new ac_repair_Switch_Control(
		$wp_customize,
		'ac_repair_premium_blog_section_disable',
		array(
			'settings'      => 'ac_repair_premium_blog_section_disable',
			'section'       => 'ac_repair_premium_blog_section',
			'label'         => __( 'Show Title and description at top', 'ac_repair Premium' ),
			'on_off_label'  => array(
				'on' => __( 'Yes', 'ac_repair Premium' ),
				'off' => __( 'No', 'ac_repair Premium' )
			),
		)
	)
);
$wp_customize->add_setting(
	'ac_repair_blog_title_heading',
	array(
		'sanitize_callback' => 'ac_repair_sanitize_text'
	)
);
$wp_customize->add_control(
	new ac_repair_Customize_Heading(
		$wp_customize,
		'ac_repair_blog_title_heading',
		array(
			'settings'      => 'ac_repair_blog_title_heading',
			'section'       => 'ac_repair_premium_blog_section',
			'label'         => __( 'Blog Title & description', 'ac_repair Premium' ),
		)
	)
);
//BLOG PAGE TITLE
$wp_customize->add_setting('ac_repair_blog_title', array('sanitize_callback' => 'ac_repair_sanitize_text'));
$wp_customize->add_control('ac_repair_blog_title', array('settings'=>'ac_repair_blog_title', 'section'=>'ac_repair_premium_blog_section','type'=>'text', 'label'=> __('Blog page title', 'ac_repair Premium')));
// BLOG PAGE DESCRIPTION
$wp_customize->add_setting('ac_repair_blog_desc', array('sanitize_callback' => 'ac_repair_sanitize_text'));
$wp_customize->add_control('ac_repair_blog_desc', array('settings'=>'ac_repair_blog_desc', 'section'=>'ac_repair_premium_blog_section','type'=>'textarea', 'label'=> __('Blog page description', 'ac_repair Premium')));
// ADDING THE CATEGORY TO SELECT
$wp_customize->add_setting('ac_repair_blog_categories', array('sanitize_callback' => 'ac_repair_sanitize_text'));
$wp_customize->add_control(
	new ac_repair_Customize_Checkbox_Multiple(
        $wp_customize,
        'ac_repair_blog_categories',
        array(
            'label' => __('Exclude Category from Blog Posts', 'total'),
            'section' => 'ac_repair_premium_blog_section',
            'settings' => 'ac_repair_blog_categories',
            'choices' => $ac_repair_cat
        )
    )
);



