<?php       
function servicesShortCode($pageId = null, $isCustomizer = false, $i = null) {

    ob_start();

    $args = array('post_type' => 'our-services');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $args['posts_per_page'] = -1;
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('ac_repair_service_number',3);  
    ++$cols;
    switch ($cols) {
        case 1:
        $colCls = 'col-md-12 col-sm-12';
        break;
        case 2: 
        $colCls = 'col-md-6 col-sm-6';
        break;
        case 3:
        case 5:
        case 6:
        case 9:
        case 11:
        case 13:
        case 15:
        case 17:
        case 19:
        case 21:
        case 23:
        $colCls = 'col-md-4 col-sm-6';
        break;
        default: 
        $colCls = 'col-md-3 col-sm-6';
        break;
        }
    // }
        $text = '';
        $query = new WP_Query($args);
        if ($query->have_posts()):
            $postN = 0;

            while ($query->have_posts()) : $query->the_post();
                $ac_repair_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-project-thumb');
                $post = get_post();

                ?>
                <div class="<?php echo $colCls;?> ser_bx">
                           <div  service-match-height="groupName" class="ac_repair-service-box <?php echo esc_attr(get_theme_mod('ac_repair_service_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s">
                                <div class="ac_repair-service-mainoverlay"></div>
                                <div class="ac_repair-service-overlay1"></div>
                                 <div class="ac_repair-service-image">
                                    <a href="<?php the_permalink(); ?>"> 
                                        <?php
                                        if (has_post_thumbnail()) {
                                            $image_url = $ac_repair_image[0];
                                        } else {
                                            $image_url = get_template_directory_uri() . '/images/services.jpg';
                                        }
                                        ?>   
                                        <img class="ac_repair-service-img" src="<?php echo esc_url($image_url); ?>" alt="service" style="height: <?php echo esc_attr(get_theme_mod('ac_repair_services_post_image_height','375')) ?>px;" />
                                    </a>
                                </div>
                                <div class="ac_repair-service-content" style="text-align: <?php if(get_theme_mod('ac_repair_services_content_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('ac_repair_services_content_align','Center') == 'Center'){ ?> center <?php } elseif(get_theme_mod('ac_repair_services_content_align','Right') == 'Right'){ ?> right <?php } ?> ">
                                    <h4><a href="<?php the_permalink(); ?>" style="text-transform : <?php if(get_theme_mod('ac_repair_service_title_case','None') == 'None'){ ?> none <?php } elseif(get_theme_mod('ac_repair_service_title_case','Lowercase') == 'Lowercase'){ ?> lowercase <?php } elseif(get_theme_mod('ac_repair_service_title_case','Capitalize') == 'Capitalize'){ ?> capitalize <?php } elseif(get_theme_mod('ac_repair_service_title_case','Uppercase') == 'Uppercase'){ ?> uppercase <?php } ?> "><?php the_title(); ?></a></h4>
                                    <p><?php $ac_repair_excerpt = get_the_excerpt(); echo esc_html( ac_repair_string_limit_words( $ac_repair_excerpt, esc_attr(get_theme_mod('ac_repair_services_post_excerpt','20')) ) ); ?></p>
                                        <div class="ser_border"></div>
                                </div>
                                <div class="service_btn"> 
                                    <?php
                                             $ac_repair_service_button_text = get_theme_mod('ac_repair_service_button_text', 'Read more'); ?>
                                         <?php if( get_theme_mod('ac_repair_service_button_enable',true) == true){ ?>
                                            <a href="<?php the_permalink(); ?>" class="read-btn"><?php echo ($ac_repair_service_button_text );  ?></a>

                                        <?php }?>

                                </div>
                            </div>                            
                  
      <script>
    var matchHeight = function () {
    
    function init() {
        eventListeners();
        matchHeight();
    }
    
    function eventListeners(){
        $(window).on('resize', function() {
            matchHeight();
        });
    }
    
    function matchHeight(){
        var groupName = $('[service-match-height]');
        var groupHeights = [];
        
        groupName.css('min-height', 'auto');
        
        groupName.each(function() {
            groupHeights.push($(this).outerHeight());
        });
        
        var maxHeight = Math.max.apply(null, groupHeights);
        groupName.css('min-height', maxHeight);
    };
    
    return {
        init: init
    };
    
} ();

$(document).ready(function() {
    matchHeight.init();
});
</script>
 
      </div>
        <?php
    endwhile;
    $text = ob_get_contents();
    ob_clean();
endif;
wp_reset_postdata();
return $text;
}

function servicesInnerpgeShortCode($pageId = null, $isCustomizer = false, $i = null) {

    ob_start();

    $args = array('post_type' => 'our-services');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    }
    $args['posts_per_page'] = -1;
    $colCls = '';
    // if($isCustomizer == true){
    $cols = get_theme_mod('ac_repair_service_number',6);  
    ++$cols;
    switch ($cols) {
        case 1:
        $colCls = 'col-md-12 col-sm-12';
        break;
        case 2: 
        $colCls = 'col-md-6 col-sm-6';
        break;
        case 3:
        case 5:
        case 6:
        case 9:
        case 11:
        case 13:
        case 15:
        case 17:
        case 19:
        case 21:
        case 23:
        $colCls = 'col-md-4 col-sm-6';
        break;
        default: 
        $colCls = 'col-md-3 col-sm-6';
        break;
        }
    // }
        $text = '';
        $query = new WP_Query($args);
        if ($query->have_posts()):
            $postN = 0;
               ?> 
            <div class="row">
            <?php

            while ($query->have_posts()) : $query->the_post();
                $ac_repair_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-project-thumb');

                //  if ($isCustomizer === true) {
                //     $service_area_designation = get_theme_mod('service_area_designation' . $i);
                // } else {
                //     $service_area_designation = '';
                // }


                $post = get_post();

                    //designation
                // $designation = get_post_meta($post->ID, 'designation', false);
                // $service_area_designation = !empty($designation[0]) ? $designation[0] : '';

                ?>
                <div class="<?php echo $colCls;?> pd-0">
                           <div  service-match-height="groupName" class="ac_repair-service-box <?php echo esc_attr(get_theme_mod('ac_repair_service_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s">
                                 <div class="ac_repair-service-image">
                                    <a href="<?php the_permalink(); ?>">
                                        <?php
                                        if (has_post_thumbnail()) {
                                            $image_url = $ac_repair_image[0];
                                        } else {
                                            $image_url = get_template_directory_uri() . '/images/services.jpg';
                                        }
                                        ?>   
                                        <img class="ac_repair-service-img" src="<?php echo esc_url($image_url); ?>" alt="service" style="height: <?php echo esc_attr(get_theme_mod('ac_repair_services_post_image_height','509')) ?>px;" />
                                    <div class="link"></div>
                                    <div class="link-2"></div>
                                    </a>
                                </div>
                                <div class="clearfix"></div> 
                                 <div class="ac_repair-service-content" style="text-align: <?php if(get_theme_mod('ac_repair_services_page_content_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('ac_repair_services_page_content_align','Center') == 'Center'){ ?> center <?php } elseif(get_theme_mod('ac_repair_services_page_content_align','Right') == 'Right'){ ?> right <?php } ?> ">
                                         <!-- <h6 class="ac_repair-service-designation"><?php echo ($service_area_designation); ?></h6> -->
                                        <h4><a href="<?php the_permalink(); ?>" style="text-transform : <?php if(get_theme_mod('ac_repair_service_page_title_case','capitalize') == 'capitalize'){ ?> capitalize <?php } elseif(get_theme_mod('ac_repair_service_page_title_case','Lowercase') == 'Lowercase'){ ?> lowercase <?php } elseif(get_theme_mod('ac_repair_service_page_title_case','Uppercase') == 'Uppercase'){ ?> uppercase <?php } ?> "><?php the_title(); ?></a></h4>
                                </div>
                            </div>                            
                  
      <script>
    var matchHeight = function () {
    
    function init() {
        eventListeners();
        matchHeight();
    }
    
    function eventListeners(){
        $(window).on('resize', function() {
            matchHeight();
        });
    }
    
    function matchHeight(){
        var groupName = $('[service-match-height]');
        var groupHeights = [];
        
        groupName.css('min-height', 'auto');
        
        groupName.each(function() {
            groupHeights.push($(this).outerHeight());
        });
        
        var maxHeight = Math.max.apply(null, groupHeights);
        groupName.css('min-height', maxHeight);
    };
    
    return {
        init: init
    };
    
} ();

$(document).ready(function() {
    matchHeight.init();
});
</script>

      </div>
       <?php
    endwhile;
    ?>
    <div class="clearfix"></div>
    </div>
    <?php
    $text = ob_get_contents();
    ob_clean();
endif;
wp_reset_postdata();
return $text;
}
add_shortcode('SERVICES', 'servicesInnerpgeShortCode');
