<?php
  $lvl2ParentPanel3 = new ac_repair_WP_Customize_Panel( $wp_customize, 'ac_repair_othersetting_panel3', array(
    'title' => 'Other Settings',
    'panel' => 'ac_repair_header_panel1',
    'priority' => 3
  ));

  $wp_customize->add_panel( $lvl2ParentPanel3 );

  // Add example section and controls to the final (third) panel
  $wp_customize->add_section( 'ac_repair_section', array(
    'title' => 'Section Test page',
    'panel' => 'ac_repair_othersetting_panel3',
  ));

$wp_customize->add_section( 'ac_repair_otherall_setting' , array(
    'title'    => __( 'All Setting', 'ac_repair-premium' ),
    'priority' => null,
    'panel' => 'ac_repair_othersetting_panel3'
) );

$wp_customize->add_setting('ac_repair_reset_otherallsetting_settings',array(
  'sanitize_callback'   => 'sanitize_text_field'
));
$wp_customize->add_control(new ac_repair_Reset_Custom_Control($wp_customize, 'ac_repair_reset_otherallsetting_settings',array(
  'type' => 'reset_control',
   'priority' => 1,
  'label' => __('Reset All Settings', 'ac_repair'),
  'description' => 'ac_repair_otherallsetting_reset_settings',
  'section' => 'ac_repair_otherall_setting'
)));


$wp_customize->add_setting(
    'back_top_btn_on_off',
    array(
        'sanitize_callback' => 'ac_repair_sanitize_text',
    )
);
$wp_customize->add_control(
    new ac_repair_Switch_Control(
        $wp_customize,
        'back_top_btn_on_off',
        array(
            'settings'      => 'back_top_btn_on_off',
            'section'       => 'ac_repair_otherall_setting',
            'label'         => __( 'Back to Top Button', 'ac_repair-premium' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'ac_repair-premium' ),
                'off' => __( 'No', 'ac_repair-premium' )
            ),
        )
    )
);

addColorPalatOption($wp_customize, 'ac_repair_otherstng_btn_color', 'ac_repair_otherall_setting', 'Back To top Button Color ', '');
// end to show & hide button
?>