<?php 
  $lvl2ParentPanel3 = new ac_repair_WP_Customize_Panel( $wp_customize, 'ac_repair_othersetting_panel3', array(
    'title' => 'Other Settings',
    'panel' => 'ac_repair_header_panel1',
    'priority' => 3
  ));

  $wp_customize->add_panel( $lvl2ParentPanel3 );

  // Add example section and controls to the final (third) panel
  $wp_customize->add_section( 'ac_repair_section', array(
    'title' => 'Section Test page',
    'panel' => 'ac_repair_othersetting_panel3',
  ));

$wp_customize->add_section( 'ac_repair_breadcrumb_setting' , array(
    'title'    => __( 'Breadcrumb options', 'ac_repair-premium' ),
    'priority' => null,
    'panel' => 'ac_repair_othersetting_panel3'
) );

$wp_customize->add_setting('ac_repair_reset_breadcrumbsetting_settings',array(
  'sanitize_callback'   => 'sanitize_text_field'
));
$wp_customize->add_control(new ac_repair_Reset_Custom_Control($wp_customize, 'ac_repair_reset_breadcrumbsetting_settings',array(
  'type' => 'reset_control',
   'priority' => 1,
  'label' => __('Reset Breadcrumb Settings', 'ac_repair'),
  'description' => 'ac_repair_breadcrumbsetting_reset_settings',
  'section' => 'ac_repair_breadcrumb_setting'
)));

$wp_customize->add_setting(
    'breadcrumb_on_off',
    array(
        'sanitize_callback' => 'ac_repair_sanitize_text',
    )
);
$wp_customize->add_control(
    new ac_repair_Switch_Control(
        $wp_customize,
        'breadcrumb_on_off',
        array(
            'settings'      => 'breadcrumb_on_off',
            'section'       => 'ac_repair_breadcrumb_setting',
            'label'         => __( 'Show/Hide', 'ac_repair-premium' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'ac_repair-premium' ),
                'off' => __( 'No', 'ac_repair-premium' )
            ),
        )
    )
);

$wp_customize->add_setting(
        'ac_repair_breadcrumbhometxt',
        array(
            'sanitize_callback' => 'ac_repair_sanitize_text',
            'default'           => __( 'Home', 'ac_repair' )
        )
    );
    $wp_customize->add_control(
        'ac_repair_breadcrumbhometxt',
        array(
            'settings'      => 'ac_repair_breadcrumbhometxt',
            'section'       => 'ac_repair_breadcrumb_setting',
            'type'          => 'text',
            'label'         => __( 'Add Text Here:', 'ac_repair' )
        )
    );

addColorPalatOption($wp_customize, 'ac_repair_btreadcrumb_text_color', 'ac_repair_breadcrumb_setting', 'Text Color', '');
addColorPalatOption($wp_customize, 'ac_repair_btreadcrumb_textbg_color', 'ac_repair_breadcrumb_setting', 'Text Background Color', '');
addColorPalatOption($wp_customize, 'ac_repair_btreadcrumb_active_color', 'ac_repair_breadcrumb_setting', 'Active Color', '');
addColorPalatOption($wp_customize, 'ac_repair_btreadcrumb_hover_color', 'ac_repair_breadcrumb_setting', 'Hover Color', '');
// end to show & hide button
?>