<?php
/**
 * The template for displaying all single posts.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package ac_repair Premium
 */
$ac_repair_lite_single_breadcrumb_section = get_theme_mod('ac_repair_lite_single_breadcrumb_section', '1');
$ac_repair_lite_single_tags_section = get_theme_mod('ac_repair_lite_single_tags_section', '1');
$ac_repair_lite_authorbox_section = get_theme_mod('ac_repair_lite_authorbox_section', '1');
$ac_repair_lite_relatedposts_section = get_theme_mod('ac_repair_lite_relatedposts_section', '1');

get_header(); ?> 
 <?php $image = wp_get_attachment_url( get_post_thumbnail_id($post->ID));?>

<div class="ac_repair-page-main"> 
<header class="page-main-header" 
  <?php
    if(get_theme_mod('featured_img_on_off') != 'on' ){
  ?>
 
 <?php  if (!empty($image)) : ?>
  style="background: url('<?php echo esc_url($image); ?>'); background-repeat: no-repeat; background-size:cover;
   height: <?php echo esc_attr(get_theme_mod('ac_repair_single_post_image_height','360')) ?>px;
  "
  <?php endif ?> 

 <?php } ?>

  >
      
 <?php
    if(get_theme_mod('page_title_on_off') != 'on' ){
  ?>
  <div class="inner-head-title">
   <div class="<?php if(get_theme_mod('ac_repair_inner_page_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('ac_repair_inner_page_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?> <?php echo esc_attr(get_theme_mod('ac_repair_innerpage_header_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s">
    
        <?php the_title( '<h1 class="ht-main-title">', '</h1>' ); ?>
        <!-- <div class="clearfix"></div> -->
        <div class="left_border">
                    <span></span>
                </div>
       
    </div>
 <?php } ?> 
 <?php
    if(get_theme_mod('breadcrumb_on_off') != 'on' ){
  ?>
        <div class="breadcrumbbox wow zoomIn">
            <div class="<?php if(get_theme_mod('ac_repair_inner_page_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('ac_repair_inner_page_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?>" >
                <div class='button'><?php ac_repair_lite_the_breadcrumb(); ?></div>
                <!--  <?php //ac_repair_lite_the_breadcrumb(); ?> -->
            </div>
        </div>
   </div>
 <?php } ?>    
  
</header><!-- .entry-header -->
<div class="ac_repair-innerpage-overlay"></div>
</div>
<main id="innerpage-box">
   <div class="<?php if(get_theme_mod('ac_repair_inner_page_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('ac_repair_inner_page_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?>" >
        <div class="inner_contentbox">
        <div id="content-box" class="innerpage-whitebox">

        <?php if (get_theme_mod('ac_repair__blogspost_layout') == '1' ) { ?>

            <div class="col-lg-4 col-md-4 col-sm-12 col-xs-12">
              <div id="secondary" class="widget-area">
                <?php  dynamic_sidebar('ac_repair-blog-sidebar'); ?>
              </div>
            </div>

        <article class="article col-lg-8 col-md-8 col-sm-12 col-xs-12">       
                <?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>
                <div id="post-<?php the_ID(); ?>" <?php post_class('post'); ?>>
                    <div class="single_post">
                       <!-- Start Content -->
                       <div id="content" class="post-single-content box mark-links">
                        <?php the_content(); ?>

                     
                        
                        <?php if($ac_repair_lite_single_tags_section == '1') { ?>
                            <!-- Start Tags -->
                            <div class="tags"><?php the_tags('<span class="tagtext">'.__('Tags','ac_repair Premium').':</span>',', ') ?></div>
                            <!-- End Tags -->
                        <?php } ?>
                    </div><!-- End Content -->    
                    </div>
                </div>
            <?php endwhile; ?>
        </article>

<?php } else if (get_theme_mod('ac_repair__blogspost_layout') == '0' ) {?>
         <div class="row">
           <article class="article col-lg-8 col-md-8 col-sm-12 col-xs-12">       
                <?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>
                <div id="post-<?php the_ID(); ?>" <?php post_class('post'); ?>>
                    <div class="single_post">
                       <!-- Start Content -->
                       <div id="content" class="post-single-content box mark-links">
                        <?php the_content(); ?>
                        <?php if($ac_repair_lite_single_tags_section == '1') { ?>
                            <!-- Start Tags -->
                            <div class="tags"><?php the_tags('<span class="tagtext">'.__('Tags','ac_repair Premium').':</span>',', ') ?></div>
                            <!-- End Tags -->
                        <?php } ?>
                    </div><!-- End Content -->    
                    </div>
                </div>
            <?php endwhile; ?>
        </article>
        <div class="col-lg-4 col-md-4 col-sm-12 col-xs-12">
      <div id="secondary" class="widget-area">
        <?php dynamic_sidebar('ac_repair-service-sidebar'); ?>
      </div>
    </div>
    </div>
<?php } if (get_theme_mod('ac_repair__blogspost_layout') == '2' ) { ?>

  <article class="article col-lg-8 col-md-8 col-sm-12 col-xs-12">       
                <?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>
                <div id="post-<?php the_ID(); ?>" <?php post_class('post'); ?>>
                    <div class="single_post">
                       <!-- Start Content -->
                       <div id="content" class="post-single-content box mark-links">
                        <?php the_content(); ?>

                     
                        
                        <?php if($ac_repair_lite_single_tags_section == '1') { ?>
                            <!-- Start Tags -->
                            <div class="tags"><?php the_tags('<span class="tagtext">'.__('Tags','ac_repair Premium').':</span>',', ') ?></div>
                            <!-- End Tags -->
                        <?php } ?>
                    </div><!-- End Content -->    
                    </div>
                </div>
            <?php endwhile; ?>
        </article>

    <div class="col-lg-4 col-md-4 col-sm-12 col-xs-12">
      <div id="secondary" class="widget-area">
        <?php dynamic_sidebar('ac_repair-service-sidebar'); ?>
      </div>
    </div>


<?php } ?> 

           
        <!-- End Article -->
        <!-- Start Sidebar -->
        <?php // get_sidebar(); ?>
        <!-- End Sidebar -->
    </div>
    <div class="clearfix"></div>
</div>
  <div class="clearfix"></div>
</div>
</main>
<?php get_footer(); ?>
