
<?php
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package ac_repair
 */
get_header(); ?>

 <?php $image = wp_get_attachment_url( get_post_thumbnail_id($post->ID));?>
<div class="ac_repair-page-main"> 
    <header class="page-main-header2" 
  <?php
    if(get_theme_mod('innerpage_featured_img_on_off') != 'on' ){
  ?>

 <?php  if (!empty($image)) : ?>
  style="background: url('<?php echo esc_url($image); ?>'); background-repeat: no-repeat; background-size:cover;
   height: <?php echo esc_attr(get_theme_mod('ac_repair_innerpage_image_height','330')) ?>px;
  "
  <?php endif ?> 

 <?php } ?>

  >

  <div class="<?php if(get_theme_mod('peccular_inner_page_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_inner_page_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?>">
 <div class="inner-head-title">
	<?php do_action('woocommerce_before_main_content'); ?>
	<?php if ( apply_filters( 'woocommerce_show_page_title', true ) ) : ?>
		<h1 class="page-title wow zoomIn"><?php woocommerce_page_title(); ?></h1>
	<?php endif; ?>
		<?php //do_action( 'woocommerce_archive_description' ); ?>
  </div>

</div>


 </header><!-- .entry-header --> 
<div class="clearfix"></div>		
<div class="ac_repair-innerpage-overlay"></div>
<div class="clearfix"></div>
</div>


<div class="single-productpage">
	<main id="innerpage-box">
		<div id="page" class="container" >
			<div class="inner_contentbox" >		
				<article id="content" class="article single_inner">
					<?php do_action('woocommerce_before_main_content'); ?>
						<?php while ( have_posts() ) : the_post(); ?>
							<?php wc_get_template_part( 'content', 'single-product' ); ?>
						<?php endwhile; // end of the loop. ?>
				</article>
				<div class="clearfix"></div>
			</div>
			<div class="clearfix"></div>
		</div>
	</main><!-- #primary -->	
</div>
<div class="clearfix"></div>
<?php get_footer(); ?>
