<?php   
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package ac_repair Premium
 */

?>
	<footer class="footer-area" id="footer">
		<div class="footer-bg"></div>
	<?php if(is_active_sidebar('ac_repair-footer1') || is_active_sidebar('ac_repair-footer2') || is_active_sidebar('ac_repair-footer3') || is_active_sidebar('ac_repair-footer4') ){ ?>
		
		<div class="top-area">
			<div class="<?php if(get_theme_mod('ac_repair_footer_section_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('ac_repair_footer_section_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?>">	
				<div class="row">
				<div class="s-footer col-md-4 col-sm-6 single-footer-1 <?php echo esc_attr(get_theme_mod('ac_repair_footer_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s" style="text-align : <?php if(get_theme_mod('ac_repair_footer_box_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('ac_repair_footer_box_align','Center') == 'Center'){ ?> center <?php } elseif(get_theme_mod('ac_repair_footer_box_align','Right') == 'Right'){ ?> right <?php } ?> "> 
					<div class="single-footer wow zoomIn" data-wow-duration="1s" >
						<?php if(is_active_sidebar('ac_repair-footer1')): 
							dynamic_sidebar('ac_repair-footer1');
						endif;
						?>	
					</div>
				</div>

				<div class="s-footer col-md-3 col-sm-6 single-footer-2 <?php echo esc_attr(get_theme_mod('ac_repair_footer_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s" style="text-align : <?php if(get_theme_mod('ac_repair_footer_box_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('ac_repair_footer_box_align','Center') == 'Center'){ ?> center <?php } elseif(get_theme_mod('ac_repair_footer_box_align','Right') == 'Right'){ ?> right <?php } ?> ">
					<div class="single-footer wow zoomIn" data-wow-duration="1.5s" >
						<?php if(is_active_sidebar('ac_repair-footer2')): 
							dynamic_sidebar('ac_repair-footer2');
						endif;
						?>	
						</div>
					</div>
				<div class="s-footer col-md-2 col-sm-6 single-footer-3 <?php echo esc_attr(get_theme_mod('ac_repair_footer_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s" style="text-align : <?php if(get_theme_mod('ac_repair_footer_box_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('ac_repair_footer_box_align','Center') == 'Center'){ ?> center <?php } elseif(get_theme_mod('ac_repair_footer_box_align','Right') == 'Right'){ ?> right <?php } ?> ">
					<div class="single-footer wow zoomIn"  data-wow-duration="2s" >
						<?php if(is_active_sidebar('ac_repair-footer3')): 
							dynamic_sidebar('ac_repair-footer3');
						endif;
						?>	
					</div>
				</div>
				<div class="s-footer col-md-3 col-sm-6 single-footer-4 <?php echo esc_attr(get_theme_mod('ac_repair_footer_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s" style="text-align : <?php if(get_theme_mod('ac_repair_footer_box_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('ac_repair_footer_box_align','Center') == 'Center'){ ?> center <?php } elseif(get_theme_mod('ac_repair_footer_box_align','Right') == 'Right'){ ?> right <?php } ?> ">
					<div class="single-footer wow zoomIn" data-wow-duration="2.5s" >
						<?php if(is_active_sidebar('ac_repair-footer4')): 
							dynamic_sidebar('ac_repair-footer4');
						endif;
						?>	
					</div>
				</div>
			<div class="clearfix"></div>
		</div>
	</div>
		<div class="clearfix"></div>
		</div>
	<?php } ?>
	<div class="clearfix"></div>
		<?php
		$footerphone = get_theme_mod('footerphone', '555 555 55');
		$footerphonetext = get_theme_mod('footerphonetext', 'Call - Or - SMS ');
	?>	
		<?php 
		// Prevent direct access
		if ( ! defined( 'ABSPATH' ) ) {
			exit; // Exit if accessed directly
		}

		$footercopyright = '';
		if (function_exists('custom_theme_copyright')) {
			$footercopyright = custom_theme_copyright();
		}
 
	?>
		<div class="bottom-area wow zoomIn">
			<div class="<?php if(get_theme_mod('ac_repair_footer_section_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('ac_repair_footer_section_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?>">	
					<div class="footer-block">
						<div class="col-md-4 col-sm-4 col-xs-12 f-contact-inn fbox1">
						<div class="f-contact ">
							<?php if($footerphone || $footerphonetext){ ?>
							
								<div class="footer_phn">
								<div class="col-md-2 footer_phone">
									<i class="fa fa-phone"></i>
								</div>
								<div class="col-md-10 phn-no">
									<span><?php echo $footerphonetext;?></span><br>
									<a class="foot-phone" href="tel:<?php echo $footerphone;?>">	
										
										<?php echo $footerphone;?>
									</a>
								</div>
							</div>
								<div class="clearfix"></div>
							<!-- </div> -->
							<?php } ?>
						</div>
					</div>

				<!--Newsletter Here-->
	<div class="col-md-7 col-sm-7 col-xs-12 newsletter_blck"> 
		<?php if (get_theme_mod('ac_repair_newsletter_enable', true) == true) { ?>
		<div class="newsletter-sign-box">
			<?php
			$showStatic = true;
			for( $i = 1; $i < 2; $i++ ){				
				$ac_repair_newsletter_page_id = get_theme_mod('ac_repair_newsletter_page_icon'.$i); 
				if(!empty($ac_repair_newsletter_page_id)){
					$showStatic = false;
					break;
				}
			}
			$ac_repair_newsletter_page_id = get_theme_mod('ac_repair_newsletter_page');	
			$ac_repair_newsletter_maintitle = get_theme_mod('ac_repair_newsletter_maintitle', 'Get More Update Join Our Newletter');
			?>
			<div class="row">
				<?php if($ac_repair_newsletter_maintitle){ ?>
					<div class="col-md-5 col-sm-5 col-xs-5 main_head">
						<h2><?php echo ($ac_repair_newsletter_maintitle);  ?></h2>			
					</div>
				<?php }?>
			
			<div class="col-md-7 col-sm-7 col-xs-7 form_shrtcd">
				<?php
				$ac_repair_newsletter_shortcode = get_theme_mod('ac_repair_newsletter_shortcode', '[Add Form shortcode]');
				?>				
				<div class="ac_repair-newsletter-member-wrap">									
					<?php echo do_shortcode($ac_repair_newsletter_shortcode);?>
				</div>
			</div>
		</div>
		<div class="clearfix"></div>
		</div>
  <?php } ?>  
		<?php if($footercopyright){ ?>
							<div class="col-md-12 col-sm-12 f-contact-inn fbox2">
								<div class="copyright_txt">
									<?php echo $footercopyright;?>
								</div>
							</div>
							<?php } ?>

	</div><!--col-md-7 end-->
   
	</div><!--footer block end-->
	<div class="clearfix"></div>
	</div><!--box width end-->
</div><!--bottom area end-->

</footer><!-- #colophon -->
<script type="text/javascript">
	if(jQuery(window).width() >= 1170){
		new WOW().init();
	}
</script>
<script>
	$(window).scroll(function() {
		var height = $(window).scrollTop();
		if (height > 100) {
			$('#back2Top').fadeIn();
		} else {
			$('#back2Top').fadeOut();
		}
	});
	$(document).ready(function() {
		$("#back2Top").click(function(event) {
			event.preventDefault();
			$("html, body").animate({ scrollTop: 0 }, "slow");
			return false;
		});

	});
</script>

<?php wp_footer(); ?>
   <?php
    if(get_theme_mod('back_top_btn_on_off') != 'on' ){
  ?>
<a id="back2Top" title="Back to top" href="#"> &#10148; </a>
 <?php } ?> 
</body>
</html>