<?php 
//Bottom Header
    $wp_customize->add_section( 'ac_repair_footer_setting' , array(
        'title'    => __( 'Footer Setting', 'ac_repair-premium' ),
        'priority' => null,
        'panel' => 'ac_repair_header_panel1'
    ) ); 
  
$wp_customize->add_setting('ac_repair_reset_footer_settings',array(
  'sanitize_callback'   => 'sanitize_text_field'
));
$wp_customize->add_control(new ac_repair_Reset_Custom_Control($wp_customize, 'ac_repair_reset_footer_settings',array(
  'type' => 'reset_control',
   'priority' => 1,
  'label' => __('Reset Footer Settings', 'ac_repair'),
  'description' => 'ac_repair_footer_reset_settings',
  'section' => 'ac_repair_footer_setting'
)));

   $wp_customize->add_setting('ac_repair_footer_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new ac_repair_Tab_Control($wp_customize, 'ac_repair_footer_nav', array(
       'section' => 'ac_repair_footer_setting',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'ac_repair-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'footerphonetext',
                'footerphone',
                'ac_repair_footer_copyrighttext',
                'footer_title_subtitle_heading',
                'ac_repair_newsletter_enable', 
                'ac_repair_newsletter_head_icon_enable',
                'ac_repair_newsletter_head_icon',
                'ac_repair_newsletter_maintitle',                
                'ac_repair_newsletter_subtitle',
                'ac_repair_newsletter_shortcode'
            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'ac_repair-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(                      
                 'ac_repair_footer_section_bg_color',
                'ac_repair_footer_section_bg_image',
                'ac_repair_footer_image_opacity',
                'ac_repair_footer_box_align', 
                'ac_repair_footer_copyright_align',   
                'ac_repair_footer_onload_effects',  
                'ac_repair_footer_heading_color',
                'ac_repair_footer_text_color',
                'ac_repair_footer_icon_color',
                'ac_repair_footer_icon_hover_color',
                'ac_repair_footer_sicon_color',
                'ac_repair_footer_sicon_brdr_color',
                'ac_repair_footer_siconhover_color',
                'ac_repair_footer_menu_color',
                'ac_repair_footer_menuhover_color',
                'ac_repair_footer_activemenu_color',
                'ac_repair_footer_cpyrght_color',
                'ac_repair_footer_terms_color',
                'ac_repair_footer_phn_txt_color',
                'ac_repair_footer_phn_no_color',
                'footer_title_subtitle_heading',
                'ac_repair_newsletter_section_bg_color1',
                'ac_repair_newsletter_section_bg_color2',
                'ac_repair_newsletter_section_bg_image',
                'ac_repair_newsletter_image_opacity',
                'ac_repair_newsletter_head_align', 
                'ac_repair_newsletter_box_onload_effects',
                'ac_repair_newsletter_heading_color',
                'ac_repair_newsletter_formtext_color', 
                'ac_repair_newsletter_formbg_color',
                'ac_repair_newsletter_btntext_color',
                'ac_repair_newsletter_btnbg_color1',
                'ac_repair_newsletter_btnbg_color2',
                'ac_repair_footer_leftboxbg_color1',
                'ac_repair_footer_leftboxbg_color2'
            ),
         ),
          array(
            'name' => esc_html__('Layout', 'ac_repair-premium'),
            'icon' => 'dashicons dashicons-layout',
            'fields' => array(
                'ac_repair_footer_padding',
                'ac_repair_footer_section_top_t_padding',
                'ac_repair_footer_section_top_b_padding',
                'ac_repair_footer_padding1',
                'ac_repair_footer_section_bottom_t_padding',
                'ac_repair_footer_section_bottom_b_padding',     
                'ac_repair_footer_section_width'
            ),
         )
        ),
    )));

    $wp_customize->add_setting(
    'footerphonetext',
    array(
        'sanitize_callback' => 'ac_repair_sanitize_text',
        'default'           => __( 'Call - Or - SMS', 'ac_repair-premium' )
    )
);
$wp_customize->add_control(
    'footerphonetext',
    array(
        'settings'      => 'footerphonetext',
        'section'       => 'ac_repair_footer_setting',
        'type'          => 'text',
        'label'         => __( 'Footer Phone Text', 'ac_repair' )
    )
);

$wp_customize->add_setting(
    'footerphone',
    array(
        'sanitize_callback' => 'ac_repair_sanitize_text',
        'default'           => __( '555 555 55', 'ac_repair-premium' )
    )
);
$wp_customize->add_control(
    'footerphone',
    array(
        'settings'      => 'footerphone',
        'section'       => 'ac_repair_footer_setting',
        'type'          => 'text',
        'label'         => __( 'Footer Phone No.', 'ac_repair' )
    )
);

$wp_customize->add_setting(
    'ac_repair_footer_copyrighttext',
    array(
        'sanitize_callback' => 'ac_repair_sanitize_text',
        'default'           => __( 'Copyright © ac-repair-pro 2022.All Rights Reserved.', 'ac_repair' )
    )
);
$wp_customize->add_control(
    'ac_repair_footer_copyrighttext',
    array(
        'settings'      => 'ac_repair_footer_copyrighttext',
        'section'       => 'ac_repair_footer_setting', 
        'type'          => 'text',
        'label'         => __( 'Copyright', 'ac_repair' ),
                 'input_attrs' => array(
            'readonly' => 'readonly',
        ),
    )
);

//backgroundManager($wp_customize, 'footer', 'ac_repair_footer_setting', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');

$wp_customize->add_setting( 'ac_repair_footer_section_bg_color', array(
       'default' => '',
       'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'ac_repair_footer_section_bg_color', array(
        'label' => __('Background Color','ac_repair'),
       'section' => 'ac_repair_footer_setting',
    )));

    $wp_customize->add_setting( 'ac_repair_footer_section_bg_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'ac_repair_footer_section_bg_image', array(
        'label' => __('Section Background Image','ac_repair'),
       'section' => 'ac_repair_footer_setting',
    )));


     $wp_customize->add_setting('ac_repair_footer_image_opacity',array(
        'default' => 0.3,
        'sanitize_callback' => 'ac_repair_sanitize_float'
    ));
    $wp_customize->add_control(new ac_repair_Custom_Control( $wp_customize, 'ac_repair_footer_image_opacity',array(
    'label' => __('Background Opacity','ac_repair'),
    'section' => 'ac_repair_footer_setting',
    'input_attrs' => array(
            'min' => 0,
            'max' => 1,
            'step' => 0.1,
        ),
    )));

  $wp_customize->add_setting('ac_repair_footer_onload_effects',array(
        'default' => 'zoom-in',
        'sanitize_callback' => 'ac_repair_sanitize_choices',
    ));
    $wp_customize->add_control('ac_repair_footer_onload_effects',array(
        'type' => 'select',
        'label' => __('Section Onload Transition Effects','ac_repair'),
        'choices' => array (
            'wow bounceInLeft' => __('Bounce In Left','ac_repair'),
            'wow bounceInRight' => __('Bounce In Right','ac_repair'),
            'wow bounceInUp' => __('Bounce In Up','ac_repair'),
            'wow bounceInDown' => __('Bounce In Down','ac_repair'),
            'wow zoomIn' => __('Zoom In','ac_repair'),
            'wow zoomOut' => __('Zoom Out','ac_repair'),
            'wow fadeInDown' => __('Fade In Down','ac_repair'),            
            'wow fadeInUp' => __('Fade In Up','ac_repair'),
            'wow fadeInLeft' => __('Fade In Left','ac_repair'),
            'wow fadeInRight' => __('Fade In Right','ac_repair'),
            'flip-up' => __('Flip Up','ac_repair')
        ),
        'section' => 'ac_repair_footer_setting',
    ));

$wp_customize->add_setting('ac_repair_footer_box_align',array(
        'default' => 'Left',
        'sanitize_callback' => 'ac_repair_sanitize_choices',
    ));
    $wp_customize->add_control('ac_repair_footer_box_align',array(
        'type' => 'select',
        'label' => __('Content Box Alignment','ac_repair'),
        'choices' => array (
            'Center' => __('Center','ac_repair'),
            'Left' => __('Left','ac_repair'),
            'Right' => __('Right','ac_repair')
        ),
        'section' => 'ac_repair_footer_setting',
    )); 


addColorPalatOption($wp_customize, 'ac_repair_footer_leftboxbg_color1', 'ac_repair_footer_setting', 'Left Box BG Color ', '');  
addColorPalatOption($wp_customize, 'ac_repair_footer_leftboxbg_color2', 'ac_repair_footer_setting', 'Left Box BG Color ', '');   

addColorPalatOption($wp_customize, 'ac_repair_footer_heading_color', 'ac_repair_footer_setting', 'Heading Color', '');

addColorPalatOption($wp_customize, 'ac_repair_footer_text_color', 'ac_repair_footer_setting', 'Text Color ', '');

addColorPalatOption($wp_customize, 'ac_repair_footer_icon_color', 'ac_repair_footer_setting', 'Icon Color', '');
addColorPalatOption($wp_customize, 'ac_repair_footer_icon_hover_color', 'ac_repair_footer_setting', 'Icon Hover Color', '');

addColorPalatOption($wp_customize, 'ac_repair_footer_sicon_color', 'ac_repair_footer_setting', 'Social Icon Color', '');

addColorPalatOption($wp_customize, 'ac_repair_footer_sicon_brdr_color', 'ac_repair_footer_setting', 'Social icon Border Color', '');

addColorPalatOption($wp_customize, 'ac_repair_footer_siconhover_color', 'ac_repair_footer_setting', 'Social Icon Hover Color', '');

addColorPalatOption($wp_customize, 'ac_repair_footer_menu_color', 'ac_repair_footer_setting', 'Menu Color ', '');

addColorPalatOption($wp_customize, 'ac_repair_footer_menuhover_color', 'ac_repair_footer_setting', 'Menu Hover Color ', '');
addColorPalatOption($wp_customize, 'ac_repair_footer_activemenu_color', 'ac_repair_footer_setting', 'Active Menu Color ', '');

addColorPalatOption($wp_customize, 'ac_repair_footer_cpyrght_color', 'ac_repair_footer_setting', 'Copyright Text Color ', '');

addColorPalatOption($wp_customize, 'ac_repair_footer_terms_color', 'ac_repair_footer_setting', 'Terms & Privacy Text Color ', '');

addColorPalatOption($wp_customize, 'ac_repair_footer_phn_txt_color', 'ac_repair_footer_setting', 'Phone Text Color', '');

addColorPalatOption($wp_customize, 'ac_repair_footer_phn_no_color', 'ac_repair_footer_setting', 'Phone No. Color ', '');

    $wp_customize->add_setting('ac_repair_footer_padding',array(
      'sanitize_callback'   => 'esc_html'
   ));
   $wp_customize->add_control('ac_repair_footer_padding',array(
      'label' => __('Top Footer Padding','ac_repair'),
      'section' => 'ac_repair_footer_setting'
   ));

    $wp_customize->add_setting('ac_repair_footer_section_top_t_padding',array(
        'default' => '3',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('ac_repair_footer_section_top_t_padding',array(
    'type' => 'number',
    'label' => __('Top','ac_repair'),
    'section' => 'ac_repair_footer_setting',
    ));
     $wp_customize->add_setting('ac_repair_footer_section_top_b_padding',array(
        'default' => '3',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('ac_repair_footer_section_top_b_padding',array(
    'type' => 'number',
    'label' => __('Bottom','ac_repair'),
    'section' => 'ac_repair_footer_setting',
    ));

    $wp_customize->add_setting('ac_repair_footer_padding1',array(
      'sanitize_callback'   => 'esc_html'
   ));
   $wp_customize->add_control('ac_repair_footer_padding1',array(
      'label' => __('Bottom Footer Padding','ac_repair'),
      'section' => 'ac_repair_footer_setting'
   ));

    $wp_customize->add_setting('ac_repair_footer_section_bottom_t_padding',array(
        'default' => '0',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('ac_repair_footer_section_bottom_t_padding',array(
    'type' => 'number',
    'label' => __('Top','ac_repair'),
    'section' => 'ac_repair_footer_setting',
    ));
     $wp_customize->add_setting('ac_repair_footer_section_bottom_b_padding',array(
        'default' => '0',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('ac_repair_footer_section_bottom_b_padding',array(
    'type' => 'number',
    'label' => __('Bottom','ac_repair'),
    'section' => 'ac_repair_footer_setting',
    ));

    $wp_customize->add_setting('ac_repair_footer_section_width',array(
        'default' => 'Box Width',
        'sanitize_callback' => 'ac_repair_sanitize_choices',
    ));
    $wp_customize->add_control('ac_repair_footer_section_width',array(
        'type' => 'select',
        'label' => __('Section Width','ac_repair'),
        'choices' => array (
            'Box Width' => __('Box Width','ac_repair'),
            'Full Width' => __('Full Width','ac_repair')
        ),
        'section' => 'ac_repair_footer_setting',
    ));


    //NewsLetter start

    $wp_customize->add_setting(
    'footer_title_subtitle_heading',
    array(
        'sanitize_callback' => 'ac_repair_sanitize_text',
    ) 
);
$wp_customize->add_control(
    new ac_repair_Customize_Heading(
        $wp_customize,
       'footer_title_subtitle_heading',
       array(
           'settings'      => 'footer_title_subtitle_heading',
           'section'       => 'ac_repair_footer_setting',
           'label'         => __( 'Newsletter Here', 'ac_repair' ),
       )
   )
);

$wp_customize->add_setting( 'ac_repair_newsletter_enable',array(
    'default' => true,
    'sanitize_callback' => 'ac_repair_switch_sanitization'
) );
$wp_customize->add_control( new ac_repair_Toggle_Switch_Custom_Control( $wp_customize, 'ac_repair_newsletter_enable',array(
    'label' => __( 'Disable Section','ac_repair' ),
    'section' => 'ac_repair_footer_setting'
)));

$wp_customize->add_setting(
    'ac_repair_newsletter_maintitle',
    array(
        'sanitize_callback' => 'ac_repair_sanitize_text',
        'default'           => __( 'Subscribe To Our Newsletter', 'ac_repair' )
    )
);
$wp_customize->add_control(
    'ac_repair_newsletter_maintitle',
    array(
        'settings'      => 'ac_repair_newsletter_maintitle',
        'section'       => 'ac_repair_footer_setting', 
        'type'          => 'text',
        'label'         => __( 'Section Heading', 'ac_repair' )
    )
);

$wp_customize->add_setting(
    'ac_repair_newsletter_shortcode',
    array(
        'sanitize_callback' => 'ac_repair_sanitize_text',
        'default'           => __( 'Add your form shortcode on customiser', 'ac_repair' )
    )
);
$wp_customize->add_control(
    'ac_repair_newsletter_shortcode',
    array(
        'settings'      => 'ac_repair_newsletter_shortcode',
        'section'       => 'ac_repair_footer_setting', 
        'type'          => 'textarea',
        'label'         => __( 'Form Shortcode ', 'ac_repair' )
    )
);
$wp_customize->add_setting( 'ac_repair_newsletter_section_bg_color1', array(
       'default' => '',
       'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'ac_repair_newsletter_section_bg_color1', array(
        'label' => __('Background Color','ac_repair'),
       'section' => 'ac_repair_footer_setting',
    )));

$wp_customize->add_setting( 'ac_repair_newsletter_section_bg_color2', array(
       'default' => '',
       'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'ac_repair_newsletter_section_bg_color2', array(
        'label' => __('Background Color','ac_repair'),
       'section' => 'ac_repair_footer_setting',
    )));

addColorPalatOption($wp_customize, 'ac_repair_newsletter_heading_color', 'ac_repair_footer_setting', 'Newletter Heading Color', '');

addColorPalatOption($wp_customize, 'ac_repair_newsletter_formtext_color', 'ac_repair_footer_setting', 'Form text Color', '');
addColorPalatOption($wp_customize, 'ac_repair_newsletter_formbg_color', 'ac_repair_footer_setting', 'Form background Color', '');

addColorPalatOption($wp_customize, 'ac_repair_newsletter_btntext_color', 'ac_repair_footer_setting', 'Button Icon Color ', '');
addColorPalatOption($wp_customize, 'ac_repair_newsletter_btnbg_color1', 'ac_repair_footer_setting', 'Button background Color ', '');
addColorPalatOption($wp_customize, 'ac_repair_newsletter_btnbg_color2', 'ac_repair_footer_setting', 'Button background Color ', '');
?>