<?php 

$lzGoogleFonts = getFonts(true);


$wp_customize->add_section(
	'ac_repair_premium_general_section',
	array(
		'title' => __( 'Font Setting', 'ac_repair Premium' ),
		'panel' => 'ac_repair_general_panel'
	)
);

$wp_customize->add_setting(
	'ac_repair_general_headeing_font',
	array(
		'sanitize_callback'=> 'absint',
		'default' => '26'
	)
);
$wp_customize->add_control(
	new ac_repair_Font_Chooser(
		$wp_customize,
		'ac_repair_general_headeing_font',
		array(
			'settings'=> 'ac_repair_general_headeing_font',
			'section' => 'ac_repair_premium_general_section',
			'label'=>__('Heading Fonts/Title Fonts', 'ac_repair Premium'),
			'choices'=>$lzGoogleFonts
		)
	)
);

$wp_customize->add_setting(
	'ac_repair_general_text_font',
	array(
		'sanitize_callback'=> 'absint',
		'default' => '26'
	)
);
$wp_customize->add_control(
	new ac_repair_Font_Chooser(
		$wp_customize,
		'ac_repair_general_text_font',
		array(
			'settings'=> 'ac_repair_general_text_font',
			'section' => 'ac_repair_premium_general_section',
			'label'=>__('Body/Text Font', 'ac_repair Premium'),
			'choices'=>$lzGoogleFonts
		)
	)
);
?>