<?php 
// /HEADER SETTINGS IN CUSTOMIZER
  $lvl1ParentPanel = new ac_repair_WP_Customize_Panel( $wp_customize, 'ac_repair_header_panel1', array(
    'title' => 'General Settings',
    'priority' => 1,
  )); 
 
  $wp_customize->add_panel( $lvl1ParentPanel );

  $lvl2ParentPanel = new ac_repair_WP_Customize_Panel( $wp_customize, 'ac_repair_header_panel2', array(
    'title' => 'Header',
    'panel' => 'ac_repair_header_panel1',
    'priority' => 1,
  )); 
 
  $wp_customize->add_panel( $lvl2ParentPanel );


  // Add example section and controls to the final (third) panel
  $wp_customize->add_section( 'ac_repair_section', array(
    'title' => 'Section Test',
    'panel' => 'ac_repair_header_panel2',
  ));

//Bottom Header
    $wp_customize->add_section( 'ac_repair_header_section' , array(
        'title'    => __( 'All Settings', 'ac_repair-premium' ),
        'priority' => null,
        'panel' => 'ac_repair_header_panel2'
    ) );

$wp_customize->add_setting('ac_repair_reset_allsetting_settings',array(
  'sanitize_callback'   => 'sanitize_text_field'
));
$wp_customize->add_control(new ac_repair_Reset_Custom_Control($wp_customize, 'ac_repair_reset_allsetting_settings',array(
  'type' => 'reset_control',
   'priority' => 1,
  'label' => __('Reset All Settings', 'ac_repair'),
  'description' => 'ac_repair_allsetting_reset_settings',
  'section' => 'ac_repair_header_section'
)));

    $wp_customize->add_setting('ac_repair_allsetting_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new ac_repair_Tab_Control($wp_customize, 'ac_repair_allsetting_nav', array(
       'section' => 'ac_repair_header_section',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'ac_repair-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'ac_repair_show_sticky_header',  
                'ac_repair_header_style',
                'ac_repair_header_width',
                'ac_repair_header_fb',
                'ac_repair_header_fb',
                'ac_repair_header_tw',
                'ac_repair_header_in',
                'ac_repair_header_youtube',
                'ac_repair_header_instagram',
                'ac_repair_header_whatsapp',
                'ac_repair_header_pinterest',
                'ac_repair_header_contlabel',
                'ac_repair_topheader_phone',
                'ac_repair_head_btn_txt',
                'ac_repair_head_btn_btnlink',
                // 'ac_repair_topheader_phonetext',
                'ac_repair_topheader_emailtext'
                // 'ac_repair_topheader_email'
            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'ac_repair-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(  
                'header_stickybgColor',
                'header_menubgColor',
                'header_logoColor1',
                'header_logoColor2',
                'header_SiteTitleColor',
                'header_SiteTaglineColor',
                'headereemail_color',
                'headerphone_color',
                'headereemailhove_color',
                'headerephoneicon_color',
                'headereemailicon_color',
                'header_phoneColor1',
                'header_phoneColor2',
                'header_phoneIconColor1',
                'header_phoneIconBGColor1',
                'header_phoneIconBGColor2',
                'header_phonebtnColor',
                'header_phonebtnHoverColor'
            ),
         )
        ),
    )));
    
    $wp_customize->add_setting( 'ac_repair_show_sticky_header',array(
        'default' => false,
        'sanitize_callback' => 'ac_repair_switch_sanitization'
   ) );
   $wp_customize->add_control( new ac_repair_Toggle_Switch_Custom_Control( $wp_customize, 'ac_repair_show_sticky_header',array(
        'label' => __( 'Show Sticky Header','ac_repair' ),
        'section' => 'ac_repair_header_section'
   )));

    $wp_customize->add_setting('ac_repair_header_style',array(
        'default' => 'On Slider',
        'sanitize_callback' => 'ac_repair_sanitize_choices',
    ));
    $wp_customize->add_control('ac_repair_header_style',array(
        'type' => 'select',
        'label' => __('Header Style','ac_repair'),
        'choices' => array (
            'Above Slider' => __('Above Slider','ac_repair'),
            'On Slider' => __('On Slider','ac_repair')
        ),
        'section' => 'ac_repair_header_section',
    ));

     $wp_customize->add_setting('ac_repair_header_width',array(
        'default' => 'Box Width',
        'sanitize_callback' => 'ac_repair_sanitize_choices',
    ));
    $wp_customize->add_control('ac_repair_header_width',array(
        'type' => 'select',
        'label' => __('Section Width','ac_repair'),
        'choices' => array (
            'Box Width' => __('Box Width','ac_repair'),
            'Full Width' => __('Full Width','ac_repair')
        ),
        'section' => 'ac_repair_header_section',
    ));

// $wp_customize->add_setting('ac_repair_topheader_email',array(       
//         'sanitize_callback' => 'ac_repair_sanitize_text',
//         'default' => __('Write abut','ac_repair-premium')
//     ));
//     $wp_customize->add_control('ac_repair_topheader_email',array(
//         'settings'      => 'ac_repair_topheader_email',
//         'type' => 'text',
//         'label' => __('Add Email label','ac_repair-premium'),
//         'section' => 'ac_repair_header_section',
//     ));

$wp_customize->add_setting('ac_repair_topheader_emailtext',array(       
        'sanitize_callback' => 'sanitize_email',
        'default' => __('info@youremail.com','ac_repair-premium')
    ));
    $wp_customize->add_control('ac_repair_topheader_emailtext',array(
        'settings'      => 'ac_repair_topheader_emailtext',
        'type' => 'text',
        'label' => __('Add Email Address','ac_repair-premium'),
        'section' => 'ac_repair_header_section',
    ));

// $wp_customize->add_setting('ac_repair_topheader_phone',array(
//         'sanitize_callback' => 'ac_repair_sanitize_text',
//         'default' => __('380 Albert st  Melbourne  Australia ','ac_repair-premium')
//     ));
//     $wp_customize->add_control('ac_repair_topheader_phone',array(
//         'settings'      => 'ac_repair_topheader_phone',
//         'type' => 'text',
//         'label' => __('Add Address','ac_repair-premium'),
//         'section' => 'ac_repair_header_section',
//     ));

// $wp_customize->add_setting('ac_repair_topheader_phonetext',array(
//         'sanitize_callback' => 'ac_repair_sanitize_text',
//         'default' => __('request on call back','ac_repair-premium')
//     ));
//     $wp_customize->add_control('ac_repair_topheader_phonetext',array(
//         'settings'      => 'ac_repair_topheader_phonetext',
//         'type' => 'text',
//         'label' => __('Add Phone Label','ac_repair-premium'),
//         'section' => 'ac_repair_header_section',
//     ));

    // Header button 
     $wp_customize->add_setting( 
    'ac_repair_head_btn_txt',
    array(
        'sanitize_callback' => 'ac_repair_sanitize_text',
        'default'           => __( '555 555 55' )
    )
);
$wp_customize->add_control(
    'ac_repair_head_btn_txt',
    array(
        'settings'      => 'ac_repair_head_btn_txt',
        'section'       => 'ac_repair_header_section',
        'type'          => 'text',
        'label'         => __( 'Phone No', 'ac_repair-premium' )
    )
);
$wp_customize->add_setting('ac_repair_head_btn_btnlink',   array('default'=> 'add link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('ac_repair_head_btn_btnlink',
    array(
        'settings'      => 'ac_repair_head_btn_btnlink',
        'section'       => 'ac_repair_header_section',
        'type'          => 'url',
        'label'         => __( 'Add Number Link here', 'ac_repair-premium' )
    )  
);

addColorPalatOption($wp_customize, 'header_logoColor1', 'ac_repair_header_section', 'Logo BG Color', '');
addColorPalatOption($wp_customize, 'header_logoColor2', 'ac_repair_header_section', 'Logo BG Color', '');

addColorPalatOption($wp_customize, 'header_menubgColor', 'ac_repair_header_section', 'Menu BG Color', '');

addColorPalatOption($wp_customize, 'header_stickybgColor', 'ac_repair_header_section', 'Sticky BG Color', '');

 addColorPalatOption($wp_customize, 'header_SiteTitleColor', 'ac_repair_header_section', 'Site Title Color', '');
addColorPalatOption($wp_customize, 'header_SiteTaglineColor', 'ac_repair_header_section', 'Tagline Color', '');

addColorPalatOption($wp_customize, 'headereemailicon_color', 'ac_repair_header_section', 'Email Icon Color', '');
addColorPalatOption($wp_customize, 'headereemail_color', 'ac_repair_header_section', 'Email Text Color', '');

addColorPalatOption($wp_customize, 'headerephoneicon_color', 'ac_repair_header_section', 'Address Icon Color', '');
addColorPalatOption($wp_customize, 'headerphone_color', 'ac_repair_header_section', 'Address text Color', '');

addColorPalatOption($wp_customize, 'headereemailhove_color', 'ac_repair_header_section', 'Email Hover Color', '');

addColorPalatOption($wp_customize, 'header_phoneColor1', 'ac_repair_header_section', 'Phone BG Color', '');
addColorPalatOption($wp_customize, 'header_phoneColor2', 'ac_repair_header_section', 'Phone BG Color', '');

addColorPalatOption($wp_customize, 'header_phoneIconColor1', 'ac_repair_header_section', 'Phone Icon Color', '');

addColorPalatOption($wp_customize, 'header_phoneIconBGColor1', 'ac_repair_header_section', 'Phone Icon BG Color', '');
addColorPalatOption($wp_customize, 'header_phoneIconBGColor2', 'ac_repair_header_section', 'Phone Icon BG Color', '');

addColorPalatOption($wp_customize, 'header_phonebtnColor', 'ac_repair_header_section', 'Phone Button Color', '');

addColorPalatOption($wp_customize, 'header_phonebtnHoverColor', 'ac_repair_header_section', 'Phone Number Hover Color', '');
?>