<?php 

// /HOME PAGE SECTION CHANGE SEQUENCE SETTINGS IN CUSTOMIZER
$wp_customize->add_section(
	'homepage_section_sequence_change_settings',
	array(
		'title' => __( 'Section Sequence', 'ac_repair-premium' ),
        // 'panel' => 'ac_repair_premium_home_panel'
		'priority' =>23
	) 
); 

$wp_customize->add_setting(
	'homesection_section1',
	array(
		'sanitize_callback' => 'ac_repair_sanitize_text',
		'default'           => __( 'services', 'ac_repair-premium' )
	) 
); 
$wp_customize->add_control(
	'homesection_section1',
	array(
		'settings'      => 'homesection_section1',
		'section'       => 'homepage_section_sequence_change_settings', 
		'type'          => 'text',
		'label'         => __( 'Section 1', 'ac_repair-premium' )
	)
);


 
$wp_customize->add_setting(
	'homesection_section2',
	array(
		'sanitize_callback' => 'ac_repair_sanitize_text',
		'default'           => __( 'about', 'ac_repair-premium' )
	)
);
$wp_customize->add_control(
	'homesection_section2',
	array(
		'settings'      => 'homesection_section2',
		'section'       => 'homepage_section_sequence_change_settings',
		'type'          => 'text',
		'label'         => __( 'Section 2', 'ac_repair-premium' )
	)
);


$wp_customize->add_setting(
	'homesection_section3',
	array(
		'sanitize_callback' => 'ac_repair_sanitize_text',
		'default'           => __( 'counter', 'ac_repair-premium' )
	)
);
$wp_customize->add_control(
	'homesection_section3',
	array(
		'settings'      => 'homesection_section3',
		'section'       => 'homepage_section_sequence_change_settings',
		'type'          => 'text',
		'label'         => __( 'Section 3', 'ac_repair-premium' )
	)
);


$wp_customize->add_setting(
	'homesection_section4',
	array(
		'sanitize_callback' => 'ac_repair_sanitize_text',
		'default'           => __( 'facility', 'ac_repair-premium' )
	)
);
$wp_customize->add_control(
	'homesection_section4',
	array(
		'settings'      => 'homesection_section4',
		'section'       => 'homepage_section_sequence_change_settings',
		'type'          => 'text',
		'label'         => __( 'Section 4', 'ac_repair-premium' )
	)
);

$wp_customize->add_setting(
	'homesection_section5',
	array(
		'sanitize_callback' => 'ac_repair_sanitize_text',
		'default'           => __( 'banner', 'ac_repair-premium' )
	)
);
$wp_customize->add_control(
	'homesection_section5',
	array(
		'settings'      => 'homesection_section5',
		'section'       => 'homepage_section_sequence_change_settings',
		'type'          => 'text',
		'label'         => __( 'Section 5', 'ac_repair-premium' )
	)
);

$wp_customize->add_setting(
	'homesection_section6',
	array(
		'sanitize_callback' => 'ac_repair_sanitize_text',
		'default'           => __( 'faq', 'ac_repair-premium' )
	)
);
$wp_customize->add_control(
	'homesection_section6',
	array(
		'settings'      => 'homesection_section6',
		'section'       => 'homepage_section_sequence_change_settings',
		'type'          => 'text',
		'label'         => __( 'Section 6', 'ac_repair-premium' )
	)
);


$wp_customize->add_setting(
	'homesection_section7',
	array(
		'sanitize_callback' => 'ac_repair_sanitize_text',
		'default'           => __( 'team', 'ac_repair-premium' )
	)
);
$wp_customize->add_control(
	'homesection_section7',
	array(
		'settings'      => 'homesection_section7',
		'section'       => 'homepage_section_sequence_change_settings',
		'type'          => 'text',
		'label'         => __( 'Section 7', 'ac_repair-premium' )
	)
);


$wp_customize->add_setting(
	'homesection_section8',
	array(
		'sanitize_callback' => 'ac_repair_sanitize_text',
		'default'           => __( 'testimonial', 'ac_repair-premium' )
	)
);
$wp_customize->add_control(
	'homesection_section8',
	array(
		'settings'      => 'homesection_section8',
		'section'       => 'homepage_section_sequence_change_settings',
		'type'          => 'text',
		'label'         => __( 'Section 8', 'ac_repair-premium' )
	)
);

$wp_customize->add_setting(
	'homesection_section9',
	array(
		'sanitize_callback' => 'ac_repair_sanitize_text',
		'default'           => __( 'contact', 'ac_repair-premium' )
	)
);
$wp_customize->add_control(
	'homesection_section9',
	array(
		'settings'      => 'homesection_section9',
		'section'       => 'homepage_section_sequence_change_settings',
		'type'          => 'text',
		'label'         => __( 'Section 9', 'ac_repair-premium' )
	)
);

$wp_customize->add_setting(
	'homesection_section10',
	array(
		'sanitize_callback' => 'ac_repair_sanitize_text',
		'default'           => __( 'pricing', 'ac_repair-premium' )
	) 
);
$wp_customize->add_control(
	'homesection_section10',
	array(
		'settings'      => 'homesection_section10',
		'section'       => 'homepage_section_sequence_change_settings',
		'type'          => 'text',
		'label'         => __( 'Section 10', 'ac_repair-premium' )
	)
);

$wp_customize->add_setting(
	'homesection_section11',
	array(
		'sanitize_callback' => 'ac_repair_sanitize_text',
		'default'           => __( 'blog', 'ac_repair-premium' )
	)
);
$wp_customize->add_control(
	'homesection_section11',
	array(
		'settings'      => 'homesection_section11',
		'section'       => 'homepage_section_sequence_change_settings',
		'type'          => 'text',
		'label'         => __( 'Section 11', 'ac_repair-premium' )
	)
);

// $wp_customize->add_setting(
// 	'homesection_section12',
// 	array(
// 		'sanitize_callback' => 'ac_repair_sanitize_text',
// 		'default'           => __( 'newsletter', 'ac_repair-premium' )
// 	)
// );
// $wp_customize->add_control(
// 	'homesection_section12',
// 	array(
// 		'settings'      => 'homesection_section12',
// 		'section'       => 'homepage_section_sequence_change_settings',
// 		'type'          => 'text',
// 		'label'         => __( 'Section 12', 'ac_repair-premium' )
// 	)
// );
?>