<?php 
  $lvl2ParentPanel3 = new ac_repair_WP_Customize_Panel( $wp_customize, 'ac_repair_othersetting_panel3', array(
    'title' => 'Other Settings',
    'panel' => 'ac_repair_header_panel1',
    'priority' => 3
  ));

  $wp_customize->add_panel( $lvl2ParentPanel3 );


  // Add example section and controls to the final (third) panel
  $wp_customize->add_section( 'ac_repair_section', array(
    'title' => 'Section Test page',
    'panel' => 'ac_repair_othersetting_panel3',
  ));

$wp_customize->add_section( 'ac_repair_font_setting' , array(
    'title'    => __( 'Font Setting', 'ac_repair-premium' ),
    'priority' => null,
    'panel' => 'ac_repair_othersetting_panel3'
) );


$wp_customize->add_setting('ac_repair_reset_fontsetting_settings',array(
  'sanitize_callback'   => 'sanitize_text_field'
));
$wp_customize->add_control(new ac_repair_Reset_Custom_Control($wp_customize, 'ac_repair_reset_fontsetting_settings',array(
  'type' => 'reset_control',
   'priority' => 1,
  'label' => __('Reset Font Settings', 'ac_repair'),
  'description' => 'ac_repair_fontsetting_reset_settings',
  'section' => 'ac_repair_font_setting'
)));

    $wp_customize->add_setting('ac_repair_fontsetting_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new ac_repair_Tab_Control($wp_customize, 'ac_repair_fontsetting_nav', array(
       'section' => 'ac_repair_font_setting',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('H1', 'ac_repair-premium'),
            'icon' => 'dashicons dashicons-heading',
            'fields' => array(
                'ac_repair_innerpageheading1_fontsize',
                'ac_repair_heading1_color',
                'ac_repair_innerpageheading1_font_weight'           
            ),
            'active' => true,
         ),          
          array(
            'name' => esc_html__('H2', 'ac_repair-premium'),
            'icon' => 'dashicons dashicons-heading',
            'fields' => array(
                'ac_repair_innerpageheading2_fontsize',
                'ac_repair_heading2_color',
                'ac_repair_innerpageheading2_font_weight'
            ),
         ),
          array(
            'name' => esc_html__('H3', 'ac_repair-premium'),
            'icon' => 'dashicons dashicons-heading',
            'fields' => array(                
                'ac_repair_innerpageheading3_fontsize',
                'ac_repair_heading3_color',
                'ac_repair_innerpageheading3_font_weight'
            ),
         ),
            array(
            'name' => esc_html__('H4', 'ac_repair-premium'),
            'icon' => 'dashicons dashicons-heading',
            'fields' => array(
                'ac_repair_innerpageheading4_fontsize',
                'ac_repair_heading4_color',
                'ac_repair_innerpageheading4_font_weight'
            ),
         ),
            array(
                'name' => esc_html__('H5', 'ac_repair-premium'),
                'icon' => 'dashicons dashicons-heading',
                'fields' => array(
                    'ac_repair_innerpageheading5_fontsize',
                    'ac_repair_heading5_color',
                    'ac_repair_innerpageheading5_font_weight'
                ),
             ),
            array(
                'name' => esc_html__('H6', 'ac_repair-premium'),
                'icon' => 'dashicons dashicons-heading',
                'fields' => array(
                    'ac_repair_innerpageheading6_fontsize',
                    'ac_repair_heading6_color',
                    'ac_repair_innerpageheading6_font_weight'
                ),
             ),
            array(
            'name' => esc_html__('Body Fonts', 'ac_repair-premium'),
            'icon' => 'dashicons dashicons-editor-paragraph',
            'fields' => array(
                'ac_repair_innerpagebody_fontsize',
                'ac_repair_body_color',
                'ac_repair_innerpagebody_font_weight'
            ),
         )
        ),
    )));

$wp_customize->add_setting('ac_repair_innerpageheading1_fontsize',array(
        'default' => '50',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('ac_repair_innerpageheading1_fontsize',array(
    'type' => 'number',
    'label' => __('Font size','ac_repair'),
    'section' => 'ac_repair_font_setting',
    ));

addColorPalatOption($wp_customize, 'ac_repair_heading1_color', 'ac_repair_font_setting', 'Color', '#000');

   $wp_customize->add_setting('ac_repair_innerpageheading1_font_weight',array(
     'default' => '600',
     'sanitize_callback' => 'ac_repair_sanitize_choices'
   ));
   $wp_customize->add_control('ac_repair_innerpageheading1_font_weight',array(
      'type' => 'select',
      'label' => __('Font Weight','ac_repair'),
      'section' => 'ac_repair_font_setting',
      'choices' => array(
         '300' => __('300','ac_repair'),
         '400' => __('400','ac_repair'),
         '600' => __('600','ac_repair'),
         '700' => __('700','ac_repair'),
         '800' => __('800','ac_repair')
      ),
   ));

$wp_customize->add_setting('ac_repair_innerpageheading2_fontsize',array(
        'default' => '40',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('ac_repair_innerpageheading2_fontsize',array(
    'type' => 'number',
    'label' => __('Font size','ac_repair'),
    'section' => 'ac_repair_font_setting',
    ));

addColorPalatOption($wp_customize, 'ac_repair_heading2_color', 'ac_repair_font_setting', 'Color', '#000');

   $wp_customize->add_setting('ac_repair_innerpageheading2_font_weight',array(
     'default' => '600',
     'sanitize_callback' => 'ac_repair_sanitize_choices'
   ));
   $wp_customize->add_control('ac_repair_innerpageheading2_font_weight',array(
      'type' => 'select',
      'label' => __('Font Weight','ac_repair'),
      'section' => 'ac_repair_font_setting',
      'choices' => array(
         '300' => __('300','ac_repair'),
         '400' => __('400','ac_repair'),
         '600' => __('600','ac_repair'),
         '700' => __('700','ac_repair'),
         '800' => __('800','ac_repair')
      ),
   ));

$wp_customize->add_setting('ac_repair_innerpageheading3_fontsize',array(
        'default' => '35',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('ac_repair_innerpageheading3_fontsize',array(
    'type' => 'number',
    'label' => __('Font size','ac_repair'),
    'section' => 'ac_repair_font_setting',
    ));

addColorPalatOption($wp_customize, 'ac_repair_heading3_color', 'ac_repair_font_setting', 'Color', '#000');

   $wp_customize->add_setting('ac_repair_innerpageheading3_font_weight',array(
     'default' => '600',
     'sanitize_callback' => 'ac_repair_sanitize_choices'
   ));
   $wp_customize->add_control('ac_repair_innerpageheading3_font_weight',array(
      'type' => 'select',
      'label' => __('Font Weight','ac_repair'),
      'section' => 'ac_repair_font_setting',
      'choices' => array(
         '300' => __('300','ac_repair'),
         '400' => __('400','ac_repair'),
         '600' => __('600','ac_repair'),
         '700' => __('700','ac_repair'),
         '800' => __('800','ac_repair')
      ),
   ));

$wp_customize->add_setting('ac_repair_innerpageheading4_fontsize',array(
        'default' => '30',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('ac_repair_innerpageheading4_fontsize',array(
    'type' => 'number',
    'label' => __('Font size','ac_repair'),
    'section' => 'ac_repair_font_setting',
    ));

addColorPalatOption($wp_customize, 'ac_repair_heading4_color', 'ac_repair_font_setting', 'Color', '#000');

   $wp_customize->add_setting('ac_repair_innerpageheading4_font_weight',array(
     'default' => '600',
     'sanitize_callback' => 'ac_repair_sanitize_choices'
   ));
   $wp_customize->add_control('ac_repair_innerpageheading4_font_weight',array(
      'type' => 'select',
      'label' => __('Font Weight','ac_repair'),
      'section' => 'ac_repair_font_setting',
      'choices' => array(
         '300' => __('300','ac_repair'),
         '400' => __('400','ac_repair'),
         '600' => __('600','ac_repair'),
         '700' => __('700','ac_repair'),
         '800' => __('800','ac_repair')
      ),
   ));

$wp_customize->add_setting('ac_repair_innerpageheading5_fontsize',array(
        'default' => '24',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('ac_repair_innerpageheading5_fontsize',array(
    'type' => 'number',
    'label' => __('Font size','ac_repair'),
    'section' => 'ac_repair_font_setting',
    ));

addColorPalatOption($wp_customize, 'ac_repair_heading5_color', 'ac_repair_font_setting', 'Color', '#000');

   $wp_customize->add_setting('ac_repair_innerpageheading5_font_weight',array(
     'default' => '600',
     'sanitize_callback' => 'ac_repair_sanitize_choices'
   ));
   $wp_customize->add_control('ac_repair_innerpageheading5_font_weight',array(
      'type' => 'select',
      'label' => __('Font Weight','ac_repair'),
      'section' => 'ac_repair_font_setting',
      'choices' => array(
         '300' => __('300','ac_repair'),
         '400' => __('400','ac_repair'),
         '600' => __('600','ac_repair'),
         '700' => __('700','ac_repair'),
         '800' => __('800','ac_repair')
      ),
   ));

$wp_customize->add_setting('ac_repair_innerpageheading6_fontsize',array(
        'default' => '18',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('ac_repair_innerpageheading6_fontsize',array(
    'type' => 'number',
    'label' => __('Font size','ac_repair'),
    'section' => 'ac_repair_font_setting',
    ));

addColorPalatOption($wp_customize, 'ac_repair_heading6_color', 'ac_repair_font_setting', 'Color', '#000');

   $wp_customize->add_setting('ac_repair_innerpageheading6_font_weight',array(
     'default' => '600',
     'sanitize_callback' => 'ac_repair_sanitize_choices'
   ));
   $wp_customize->add_control('ac_repair_innerpageheading6_font_weight',array(
      'type' => 'select',
      'label' => __('Font Weight','ac_repair'),
      'section' => 'ac_repair_font_setting',
      'choices' => array(
         '300' => __('300','ac_repair'),
         '400' => __('400','ac_repair'),
         '600' => __('600','ac_repair'),
         '700' => __('700','ac_repair'),
         '800' => __('800','ac_repair')
      ),
   ));

$wp_customize->add_setting('ac_repair_innerpagebody_fontsize',array(
        'default' => '15',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('ac_repair_innerpagebody_fontsize',array(
    'type' => 'number',
    'label' => __('Font size','ac_repair'),
    'section' => 'ac_repair_font_setting',
    ));

addColorPalatOption($wp_customize, 'ac_repair_body_color', 'ac_repair_font_setting', 'Color', '#959595');

   $wp_customize->add_setting('ac_repair_innerpagebody_font_weight',array(
     'default' => '400',
     'sanitize_callback' => 'ac_repair_sanitize_choices'
   ));
   $wp_customize->add_control('ac_repair_innerpagebody_font_weight',array(
      'type' => 'select',
      'label' => __('Font Weight','ac_repair'),
      'section' => 'ac_repair_font_setting',
      'choices' => array(
         '300' => __('300','ac_repair'),
         '400' => __('400','ac_repair'),
         '600' => __('600','ac_repair'),
         '700' => __('700','ac_repair'),
         '800' => __('800','ac_repair')
      ),
   ));
// end to show & hide button
?>