<?php 
  $lvl2ParentPanel3 = new ac_repair_WP_Customize_Panel( $wp_customize, 'ac_repair_header_panel3', array(
    'title' => 'Pages',
    'panel' => 'ac_repair_header_panel1',
    'priority' => 2,
  ));

  $wp_customize->add_panel( $lvl2ParentPanel3 );


  // Add example section and controls to the final (third) panel
  $wp_customize->add_section( 'ac_repair_section', array(
    'title' => 'Section Test page',
    'panel' => 'ac_repair_header_panel3',
  ));

//Bottom Header
    $wp_customize->add_section( 'ac_repair_contact_pages' , array(
        'title'    => __( 'Contact Page', 'ac_repair-premium' ), 
        'priority' => null,
        'panel' => 'ac_repair_header_panel3'
    ) );

$wp_customize->add_setting('ac_repair_reset_contactpages_settings',array(
  'sanitize_callback'   => 'sanitize_text_field'
));
$wp_customize->add_control(new ac_repair_Reset_Custom_Control($wp_customize, 'ac_repair_reset_contactpages_settings',array(
  'type' => 'reset_control',
   'priority' => 1,
  'label' => __('Reset Contact Pages Settings', 'ac_repair'),
  'description' => 'ac_repair_contactpages_reset_settings',
  'section' => 'ac_repair_contact_pages'
)));
    
    $wp_customize->add_setting('ac_repair_contactpages_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new ac_repair_Tab_Control($wp_customize, 'ac_repair_contactpages_nav', array(
       'section' => 'ac_repair_contact_pages',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'ac_repair-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                // 'ac_repair_contactpage_address_label',
                // 'ac_repair_contactpage_address',
                // 'ac_repair_contactpage_address_line1',
                // 'ac_repair_contactpage_address_line2',
                // 'ac_repair_contactpage_phone_label',
                // 'ac_repair_contactpage_phone',
                // 'ac_repair_contactpage_phone_another',
                // 'ac_repair_contactpage_email_label',                
                // 'ac_repair_contactpage_email',
                // 'ac_repair_contactpage_email_another',
                'ac_repair_contactpage_formtitle',
                'ac_repair_contactpage_formSubtitle',
                'ac_repair_contactpage_form_shortcode',
                'ac_repair_about_image2',
                'ac_repair_contactpage_iframe_shortcode'
            ),
            'active' => true,
         ),      
          array(
            'name' => esc_html__('Style', 'ac_repair-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array( 
                'ac_repair_contactpage_box_onload_effects',
                'ac_repair_frm_contactpage_icon_color',
                'ac_repair_contactpage_heading_color',
                'ac_repair_contactpage_subheading_color',
                'ac_repair_contactpage_formtext_color',
                'ac_repair_contactpage_formbg_color',
                'ac_repair_contactpage_formborder_color',
                'ac_repair_contactpage_formbtnbg_color1',
                'ac_repair_contactpage_formbtntext_color',
                'ac_repair_contactpage_formbtnhover_color',
                'ac_repair_contactpage_mapborder_color'
            ),
         )
        ),
    )));

      $wp_customize->add_setting( 'ac_repair_about_image2', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'ac_repair_about_image2', array(
        'label' => __('Contact Image','ac_repair'),
       'section' => 'ac_repair_contact_pages',
    )));


$wp_customize->add_setting(
    'ac_repair_contactpage_formtitle',
    array(
        'sanitize_callback' => 'ac_repair_sanitize_text',
        'default'           => __( 'contact Us', 'ac_repair' )
    )
);
$wp_customize->add_control(
    'ac_repair_contactpage_formtitle',
    array(
        'settings'      => 'ac_repair_contactpage_formtitle',
        'section'       => 'ac_repair_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Form Box Title', 'ac_repair' )
    )
);

$wp_customize->add_setting(
    'ac_repair_contactpage_formSubtitle',
    array(
        'sanitize_callback' => 'ac_repair_sanitize_text',
        'default'           => __( 'Get In Touch', 'ac_repair' )
    )
);
$wp_customize->add_control(
    'ac_repair_contactpage_formSubtitle',
    array(
        'settings'      => 'ac_repair_contactpage_formSubtitle',
        'section'       => 'ac_repair_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Form Box Subtitle', 'ac_repair' )
    )
);

$wp_customize->add_setting(
    'ac_repair_contactpage_form_shortcode',
    array(
        'sanitize_callback' => 'ac_repair_sanitize_text',
        'default'           => __( 'Add Form [SHORTCODE] Here', 'ac_repair' )
    )
);
$wp_customize->add_control(
    'ac_repair_contactpage_form_shortcode',
    array(
        'settings'      => 'ac_repair_contactpage_form_shortcode',
        'section'       => 'ac_repair_contact_pages', 
        'type'          => 'text',
        'label'         => __( 'Form Shortcode', 'ac_repair' )
    )
);

$wp_customize->add_setting('ac_repair_contactpage_iframe_shortcode', array( 'default'=>'Add Map Embed Code Here'));
$wp_customize->add_control('ac_repair_contactpage_iframe_shortcode', array('settings'=>'ac_repair_contactpage_iframe_shortcode', 'section'=>'ac_repair_contact_pages','type'=>'textarea', 'label'=> __('Embed Code for map', 'ac_repair')));

 // $wp_customize->add_setting('ac_repair_contactpage_content_align',array(
 //        'default' => 'Left',
 //        'sanitize_callback' => 'ac_repair_sanitize_choices',
 //    ));
 //    $wp_customize->add_control('ac_repair_contactpage_content_align',array(
 //        'type' => 'select',
 //        'label' => __('Data Box Alignment','ac_repair'),
 //        'choices' => array (
 //            'Center' => __('Center','ac_repair'),
 //            'Left' => __('Left','ac_repair'),
 //            'Right' => __('Right','ac_repair')
 //        ),
 //        'section' => 'ac_repair_contact_pages',
 //    ));

     $wp_customize->add_setting('ac_repair_contactpage_box_onload_effects',array(
        'default' => 'wow zoomIn',
        'sanitize_callback' => 'ac_repair_sanitize_choices',
    ));
    $wp_customize->add_control('ac_repair_contactpage_box_onload_effects',array(
        'type' => 'select',
        'label' => __('Box Onload Transition Effects','ac_repair'),
        'choices' => array (
            'wow bounceInLeft' => __('Bounce In Left','ac_repair'),
            'wow bounceInRight' => __('Bounce In Right','ac_repair'),
            'wow bounceInUp' => __('Bounce In Up','ac_repair'),
            'wow bounceInDown' => __('Bounce In Down','ac_repair'),
            'wow zoomIn' => __('Zoom In','ac_repair'),
            'wow zoomOut' => __('Zoom Out','ac_repair'),
            'wow fadeInDown' => __('Fade In Down','ac_repair'),            
            'wow fadeInUp' => __('Fade In Up','ac_repair'),
            'wow fadeInLeft' => __('Fade In Left','ac_repair'),
            'wow fadeInRight' => __('Fade In Right','ac_repair'),
            'flip-up' => __('Flip Up','ac_repair')
        ),
        'section' => 'ac_repair_contact_pages',
    ));
addColorPalatOption($wp_customize, 'ac_repair_contactpage_heading_color', 'ac_repair_contact_pages', 'Heading Color ', '');
addColorPalatOption($wp_customize, 'ac_repair_contactpage_subheading_color', 'ac_repair_contact_pages', 'Sub Heading Color ', '');
addColorPalatOption($wp_customize, 'ac_repair_frm_contactpage_icon_color', 'ac_repair_contact_pages', 'Form Icons Color ', '');
addColorPalatOption($wp_customize, 'ac_repair_contactpage_formtext_color', 'ac_repair_contact_pages', 'Form Text Color ', '');
addColorPalatOption($wp_customize, 'ac_repair_contactpage_formbg_color', 'ac_repair_contact_pages', 'Form Background Color ', '');
addColorPalatOption($wp_customize, 'ac_repair_contactpage_formborder_color', 'ac_repair_contact_pages', 'Form Text Border Color ', '');
addColorPalatOption($wp_customize, 'ac_repair_contactpage_formbtnbg_color1', 'ac_repair_contact_pages', 'Form 
    Button Background Color', '');
addColorPalatOption($wp_customize, 'ac_repair_contactpage_formbtntext_color', 'ac_repair_contact_pages', 'Form Button Text Color', '');
addColorPalatOption($wp_customize, 'ac_repair_contactpage_formbtnhover_color', 'ac_repair_contact_pages', 'Button Hover Color', '');
addColorPalatOption($wp_customize, 'ac_repair_contactpage_mapborder_color', 'ac_repair_contact_pages', 'Map Border Color', '');
?>