 <?php 
  $lvl1ParentPanel = new ac_repair_WP_Customize_Panel( $wp_customize, 'ac_repair_header_panel3', array(
    'title' => 'Pages',
    'panel' => 'ac_repair_header_panel1',
    'priority' => 2,
  ));

  $wp_customize->add_panel( $lvl1ParentPanel );


  // Add example section and controls to the final (third) panel
  $wp_customize->add_section( 'ac_repair_section', array(
    'title' => 'Section Test page',
    'panel' => 'ac_repair_header_panel3',
  ));
 
//Bottom Header
    $wp_customize->add_section( 'ac_repair_service_inner_pages' , array(
        'title'    => __( 'Service Page', 'ac_repair-premium' ),
        'priority' => null,
        'panel' => 'ac_repair_header_panel3'
    ) );

$wp_customize->add_setting('ac_repair_serviceinnerpages_reset_settings',array(
  'sanitize_callback'   => 'sanitize_text_field'
));
$wp_customize->add_control(new ac_repair_Reset_Custom_Control($wp_customize, 'ac_repair_serviceinnerpages_reset_settings',array(
  'type' => 'reset_control',
   'priority' => 1,
  'label' => __('Reset Service Inner Pages Settings', 'ac_repair'),
  'description' => 'ac_repair_serviceinnerpages_reset_settings',
  'section' => 'ac_repair_service_inner_pages'
)));
     
    $wp_customize->add_setting('ac_repair_serviceinnerpages_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new ac_repair_Tab_Control($wp_customize, 'ac_repair_serviceinnerpages_nav', array(
       'section' => 'ac_repair_service_inner_pages',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'ac_repair-premium'),
            'icon' => 'dashicons dashicons-welcome-write-service',
            'fields' => array(                
                'ac_repair_service_button_enable',
                'ac_repair_service_btn_txt',
                'ac_repair_service_btnlink'
            ),
            'active' => true,
         ),          
          array(
            'name' => esc_html__('Style', 'ac_repair-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(         
                'peccular_serviceinnpage_img_ovrly_color',       
                'peccular_serviceinnpage_servc_title_color',
                'peccular_serviceinnpage_servc_btn_color',
                'peccular_serviceinnpage_btn_arrow_color',
                'peccular_serviceinnpage_cnslt_btn_bg_color',
                'peccular_serviceinnpage_cnslt_btn_bg_hover_color',
                'peccular_serviceinnpage_icon_color',
                'peccular_serviceinnpage_icon_bg_color',
                'peccular_serviceinnpage_icon_hover_color',
                'peccular_serviceinnpage_title_color',
                'peccular_serviceinnpage_text_color'                
                
            ),
         )
        ),
    )));

// $wp_customize->add_setting( 'ac_repair_service_button_enable',array(
//     'default' => true,
//     'sanitize_callback' => 'ac_repair_switch_sanitization'
// ) );
// $wp_customize->add_control( new ac_repair_Toggle_Switch_Custom_Control( $wp_customize, 'ac_repair_service_button_enable',array(
//     'label' => __( 'Button Display','ac_repair' ),
//     'section' => 'ac_repair_service_inner_pages'
// )));

// $wp_customize->add_setting(
//     'ac_repair_service_btn_txt',
//     array(
//         'sanitize_callback' => 'ac_repair_sanitize_text',
//         'default'           => __( 'Read more' )
//     )
// );
// $wp_customize->add_control(
//     'ac_repair_service_btn_txt',
//     array(
//         'settings'      => 'ac_repair_service_btn_txt',
//         'section'       => 'ac_repair_service_inner_pages',
//         'type'          => 'text',
//         'label'         => __( 'Button Text', 'ac_repair-premium' )
//     )
// );
// $wp_customize->add_setting('ac_repair_service_btnlink',   array('default'=> 'add link here', 'sanitize_callback' => 'esc_url_raw'));
// $wp_customize->add_control('ac_repair_service_btnlink',
//     array(
//         'settings'      => 'ac_repair_service_btnlink',
//         'section'       => 'ac_repair_service_inner_pages',
//         'type'          => 'url',
//         'label'         => __( 'Add Button Link Here', 'ac_repair-premium' )
//     )
// );


// $wp_customize->add_setting('peccular_serviceinnerpage_post_image_height',array(
//         'default' => 300,
//         'sanitize_callback' => 'peccular_sanitize_integer'
//     ));
//     $wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_serviceinnerpage_post_image_height',array(
//     'label' => __('Feature Image Height','peccular'),
//     'section' => 'ac_repair_service_inner_pages',
//     'input_attrs' => array(
//             'min' => 0,
//             'max' => 1000,
//             'step' => 1,
//         ),
//     )));

addColorPalatOption($wp_customize, 'peccular_serviceinnpage_img_ovrly_color', 'ac_repair_service_inner_pages', 'Image Overlay Color', '');

addColorPalatOption($wp_customize, 'peccular_serviceinnpage_servc_title_color', 'ac_repair_service_inner_pages', 'Service Title Color', '');

addColorPalatOption($wp_customize, 'peccular_serviceinnpage_servc_btn_color', 'ac_repair_service_inner_pages', 'Service Button Color', '');

addColorPalatOption($wp_customize, 'peccular_serviceinnpage_btn_arrow_color', 'ac_repair_service_inner_pages', 'Button Arrow Color', '');
?> 