<?php
/**
 * Template Name: Contact Page
 *
 * @package ac_repair Premium
 */
get_header(); 
?>
  <?php $image = wp_get_attachment_url( get_post_thumbnail_id($post->ID));?>
<div class="ac_repair-page-main"> 
    <header class="page-main-header" 
  <?php
    if(get_theme_mod('innerpage_featured_img_on_off') != 'on' ){
  ?>
 
 <?php  if (!empty($image)) : ?>
  style="background: url('<?php echo esc_url($image); ?>'); background-repeat: no-repeat; background-size:cover;
   height: <?php echo esc_attr(get_theme_mod('ac_repair_innerpage_image_height','330')) ?>px;
  "
  <?php endif ?> 

 <?php } ?> 

  >
  
 
<?php
    if(get_theme_mod('page_title_on_off') != 'on' ){
  ?>
    <div class="inner-head-title">
   <div class="<?php if(get_theme_mod('ac_repair_inner_page_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('ac_repair_inner_page_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?> <?php echo esc_attr(get_theme_mod('ac_repair_innerpage_header_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s">
    
        <?php the_title( '<h1 class="ht-main-title">', '</h1>' ); ?>
        <!-- <div class="clearfix"></div> -->
        <div class="left_border">
                    <span></span>
                </div>
       
    </div>
 <?php } ?> 
 <?php
    if(get_theme_mod('breadcrumb_on_off') != 'on' ){
  ?>
        <div class="breadcrumbbox wow zoomIn">
            <div class="<?php if(get_theme_mod('ac_repair_inner_page_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('ac_repair_inner_page_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?>" >
                <div class='button'><?php ac_repair_lite_the_breadcrumb(); ?></div>
                <!--  <?php //ac_repair_lite_the_breadcrumb(); ?> -->
            </div>
        </div>
   </div>
 <?php } ?>

</header><!-- .entry-header --> 
<div class="ac_repair-innerpage-overlay"></div>
</div>
<main id="innerpage-box">
		<div class="inner_contentbox">
		<?php 

		$ac_repair_contact_page_formtitle = get_theme_mod('ac_repair_contactpage_formtitle', 'contact Us');
		$ac_repair_contactpage_formSubtitle = get_theme_mod('ac_repair_contactpage_formSubtitle', 'Get In Touch');
		$ac_repair_contact_page_form_shortcode = get_theme_mod('ac_repair_contactpage_form_shortcode', 'Add Form [SHORTCODE] Here');

		$ac_repair_contact_page_iframe_shortcode = get_theme_mod('ac_repair_contactpage_iframe_shortcode', 'Add Map Embed Code Here');
		?>
		<div id="ac_repair-contactus-wrap">
			  <div class="<?php if(get_theme_mod('ac_repair_inner_page_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('ac_repair_inner_page_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?>">
			<div class="clearfix"></div>
			</div>
		</div>
			<div class="ac_repair-contact-form-block">
				  <div class="<?php if(get_theme_mod('ac_repair_inner_page_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('ac_repair_inner_page_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?>">
				  	<?php if(!empty($ac_repair_contact_page_formtitle)){ ?>
					<h2 class="contact-head1"><?php echo ($ac_repair_contact_page_formtitle);  ?></h2>
					<?php }?>
					<h1 class="contact_head"><?php echo ($ac_repair_contactpage_formSubtitle);  ?></h1>
					<div class="row">
						<?php if(!empty($ac_repair_contact_page_form_shortcode)){ ?>
						<div class="col-lg-7 col-md-7 col-sm-7 col-xs-12">
							<div class="ac_repair-contact-page-form <?php echo esc_attr(get_theme_mod('ac_repair_contactpage_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s">								
								<?php echo do_shortcode($ac_repair_contact_page_form_shortcode);?>
							</div>
						</div>
						<?php }?>
						
						<div class="col-lg-5 col-md-5 col-sm-5 col-xs-12">
							<div class="ser_image2">
					 <?php 
						$ac_repair_about_image2 = get_theme_mod('ac_repair_about_image2');
						if(!empty($ac_repair_about_image2)){
							echo '<img alt="'. esc_html(get_the_title()) .'" src="'.esc_url($ac_repair_about_image2).'" class="img-responsive secondry-bg-img" />';
						}else{
							echo '<img alt="About us" src="'.get_template_directory_uri().'/images/service1.jpg" class="img-responsive" />';
						}

						?>
				      </div>
						</div>
						
						<div class="clearfix"></div>
						<div class="col-md-12 col-sm-12 col-xs-12">
				<?php if(!empty($ac_repair_contact_page_iframe_shortcode)){ ?>
						<div class="map-bx">
							<div class="ac_repair-contact-mapbox <?php echo esc_attr(get_theme_mod('ac_repair_contactpage_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s">
								<?php echo ($ac_repair_contact_page_iframe_shortcode);  ?>
							</div>
						</div>
						<?php }?>
				</div>
					</div>
				<!-- <div class="clearfix"></div> -->
				
			</div>
				

			</div>	
		<div class="clearfix"></div>
	</div>
</main>
<?php get_footer(); ?>