<?php
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package ac_repair
 */
get_header(); ?>

 <?php $image = wp_get_attachment_url( get_post_thumbnail_id($post->ID));?>
<div class="ac_repair-page-main"> 
    <header class="page-main-header2" 
  <?php
    if(get_theme_mod('innerpage_featured_img_on_off') != 'on' ){
  ?>

 <?php  if (!empty($image)) : ?>
  style="background: url('<?php echo esc_url($image); ?>'); background-repeat: no-repeat; background-size:cover;
   height: <?php echo esc_attr(get_theme_mod('ac_repair_innerpage_image_height','330')) ?>px;
  "
  <?php endif ?> 

 <?php } ?>

  >

  <!-- <div class="<?php if(get_theme_mod('peccular_inner_page_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_inner_page_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?>">
<?php //do_action( 'woocommerce_archive_description' ); ?>
	<?php do_action('woocommerce_before_main_content'); ?>
	<?php if ( apply_filters( 'woocommerce_show_page_title', true ) ) : ?>
		<h1 class="page-title wow zoomIn"><?php woocommerce_page_title(); ?></h1>
	<?php endif; ?>	
</div> -->
<?php
    if(get_theme_mod('page_title_on_off') != 'on' ){
  ?>
 
   <div class="<?php if(get_theme_mod('ac_repair_inner_page_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('ac_repair_inner_page_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?> <?php echo esc_attr(get_theme_mod('ac_repair_innerpage_header_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="1s">
     <div class="inner-head-title">
        <!-- <?php the_title( '<h1 class="ht-main-title">', '</h1>' ); ?> -->
        <!-- <div class="clearfix"></div> -->
        <?php //do_action( 'woocommerce_archive_description' ); ?>

	<?php do_action('woocommerce_before_main_content'); ?>

	<?php if ( apply_filters( 'woocommerce_show_page_title', true ) ) : ?>
		<h1 class="page-title wow zoomIn"><?php woocommerce_page_title(); ?></h1>
	<?php endif; ?>	
				<!-- <div class="left_border">
                    <span></span>
                </div> -->
 <?php } ?> 
   </div>  
</div>
 </header><!-- .entry-header --> 
		
<div class="ac_repair-innerpage-overlay"></div>
<div class="clearfix"></div>
</div>
			
	
	
	
<div class="single-productpage">
	<main id="innerpage-box">
		<?php
			//if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
			//get_header('shop'); ?>
			<div id="page" class="container" >
				<div class="inner_contentbox" >
				<article id="content" class="article">

    <?php if (get_theme_mod('ac_repair__shoppage_layout') == '1' ) { ?>
    	<div class="row">
        <div class="col-sm-9">	
            <?php if ( have_posts() ) : ?>						
				<?php do_action( 'woocommerce_before_shop_loop' ); ?>
				<?php woocommerce_product_loop_start(); ?>
				<?php woocommerce_product_subcategories(); ?>
				<?php while ( have_posts() ) : the_post(); ?>
					<?php wc_get_template_part( 'content', 'product' ); ?>
				<?php endwhile; // end of the loop. ?>
				<?php woocommerce_product_loop_end(); ?>
				<?php do_action( 'woocommerce_after_shop_loop' ); ?>
				<?php elseif ( ! woocommerce_product_subcategories( array( 'before' => woocommerce_product_loop_start( false ), 'after' => woocommerce_product_loop_end( false ) ) ) ) : ?>
				<?php //woocommerce_get_template( 'loop/no-products-found.php' ); ?>
			<?php endif; ?>		
        </div><!-- #main -->
        <div class="col-sm-3 product-page">
			<?php if( get_theme_mod('cd_button_display','show' ) == 'show') :
		  		?>
		  		<div class='button'><?php get_sidebar( 'shop'); ?></div>
		  	<?php endif ?>
		</div>
	</div>

    <?php } else if (get_theme_mod('ac_repair__shoppage_layout') == '0' ) {?>

        <?php if ( have_posts() ) : ?>						
			<?php do_action( 'woocommerce_before_shop_loop' ); ?>
			<?php woocommerce_product_loop_start(); ?>
			<?php woocommerce_product_subcategories(); ?>
			<?php while ( have_posts() ) : the_post(); ?>
				<?php wc_get_template_part( 'content', 'product' ); ?>
			<?php endwhile; // end of the loop. ?>
			<?php woocommerce_product_loop_end(); ?>
			<?php do_action( 'woocommerce_after_shop_loop' ); ?>
			<?php elseif ( ! woocommerce_product_subcategories( array( 'before' => woocommerce_product_loop_start( false ), 'after' => woocommerce_product_loop_end( false ) ) ) ) : ?>
			<?php //woocommerce_get_template( 'loop/no-products-found.php' ); ?>
		<?php endif; ?>		

     <?php } if (get_theme_mod('ac_repair__shoppage_layout') == '2' ) { ?>
     	<div class="row">
		 <div class="col-sm-3 product-page">
			<?php if( get_theme_mod('cd_button_display','show' ) == 'show') :
		  		?>
		  		<div class='button'><?php get_sidebar( 'shop'); ?></div>
		  	<?php endif ?>
		</div>
       <div class="col-sm-9">	
            <?php if ( have_posts() ) : ?>						
			<?php do_action( 'woocommerce_before_shop_loop' ); ?>
			<?php woocommerce_product_loop_start(); ?>
			<?php woocommerce_product_subcategories(); ?>
			<?php while ( have_posts() ) : the_post(); ?>
				<?php wc_get_template_part( 'content', 'product' ); ?>
			<?php endwhile; // end of the loop. ?>
			<?php woocommerce_product_loop_end(); ?>
			<?php do_action( 'woocommerce_after_shop_loop' ); ?>
			<?php elseif ( ! woocommerce_product_subcategories( array( 'before' => woocommerce_product_loop_start( false ), 'after' => woocommerce_product_loop_end( false ) ) ) ) : ?>
			<?php //woocommerce_get_template( 'loop/no-products-found.php' ); ?>
		<?php endif; ?>		
        </div><!-- #main -->
    </div>

	<?php } ?>
					<div class="clearfix"></div>
				</article>
				<?php /*do_action('woocommerce_sidebar');*/ ?>
				<?php //get_sidebar(); ?>	
				<div class="clearfix"></div>
			</div>
				<div class="clearfix"></div>
			</div>	
	</main><!-- #main -->
</div>
<div class="clearfix"></div>
<?php get_footer(); ?>
